import os.path
from os.path import join,dirname,realpath
import requests,pickle,re
import json
import sqlite3
from datetime import datetime
from sqlite3 import Error
import csv
import pandas as pd
import concurrent.futures
from concurrent.futures import ThreadPoolExecutor, as_completed
import time
import sys
import traceback
import urllib.parse as urlparse
from urllib.parse import parse_qs
import mysql
from mysql.connector import connect,Error
import random
from app.config.environment import configuration


def create_connection():
    db_file = join(dirname(realpath(__file__)),"scrappers.db")
    conn = None
    try:
        conn = sqlite3.connect(db_file)
        print(sqlite3.version)
    except Error as e:
        print(e)
    return conn


def getSuggestionList(cn_hotel_name,city_name):
    try:
        conn=create_connection()
        cur = conn.cursor()
        cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")

        proxy_details = cur.fetchall()
        conn.close()
        proxy_ip = proxy_details[0][1]
        print(proxy_ip)


        port = proxy_details[0][2]
        print(port)

        user = proxy_details[0][3]
        print(user)

        password = proxy_details[0][4]
        print(password)

        proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
        print(proxy_url)
        search_string = cn_hotel_name+" "+city_name
        print("Search String : "+search_string)
        cookies = {
            'agoda.vuser': 'UserId=40a61873-9923-4b98-bf7d-484071bff00b',
            'agoda.user.03': 'UserId=9c7fdd3e-f44a-40c9-8823-a7d0ae7692a9',
            'UserSession': '9c7fdd3e-f44a-40c9-8823-a7d0ae7692a9',
            'dc': 'wg',
            'ASP.NET_SessionId': 'jemh0eylv24ilvvdhddtfwxf',
            # 'agoda.attr.03': f"CookieId=e8b65061-edf4-4f58-bf7c-878d30a920e3&ATItems=-1{02-11-2021} 00:25$",
            'agoda.firstclicks': '-1||||2021-02-11T00:25:58||jemh0eylv24ilvvdhddtfwxf||{"IsPaid":false,"gclid":"","Type":""}',
            'agoda.lastclicks': '-1||||2021-02-11T00:25:58||jemh0eylv24ilvvdhddtfwxf||{"IsPaid":false,"gclid":"","Type":""}',
            'agoda.landings': '-1|||jemh0eylv24ilvvdhddtfwxf|2021-02-11T00:25:58|False|19-----1|||jemh0eylv24ilvvdhddtfwxf|2021-02-11T00:25:58|False|20-----1|||jemh0eylv24ilvvdhddtfwxf|2021-02-11T00:25:58|False|99',
            'agoda.prius': 'PriusID=0&PointsMaxTraffic=Agoda',
            'ABSTATIC': '1',
            'ak_geo': 'PK',
            'akamai.guid': 'f0e18d9a-5942-4347-9f40-04d9524cf98b',
            'tealiumEnable': 'true',
            '_ab50group': 'GroupB',
            '_40-40-20Split': 'Group20',
            # 'ab.storage.userId.d999de98-30bc-4346-8124-a15900a101ae': '%7B%22g%22%3A%229c7fdd3e-f44a-40c9-8823-a7d0ae7692a9%22%2C%22c%22%3A1612977962655%2C%22l%22%3A1612977962655%7D',
            '_ga': 'GA1.2.1780184634.1612977963',
            '_gid': 'GA1.2.97889952.1612977963',
            'agoda.familyMode': 'Mode=0',
            'agoda.price.01': 'PriceView=1',
            'xsrf_token': 'CfDJ8Dkuqwv-0VhLoFfD8dw7lYwmUvI1J8D9CCAvkVIjkSpyi46dHkz9SYzRGNDcfZ_-zEiHGUVY9VIP26cdXRlfsMzpYaeMC2Lp7oTGGWKWamNc58Ps0ZZd0ZzWxjCuAIw6tJ2CdutLEZdBogO4depAk_A',
            'agoda.search.hotel': '0=TVRNNE1qZzNPRFk9&1=TWpVME5qRTE',
            # 'agoda.search.01': f"SHist=1{233$7354$1$1$2$0$0$$|4$13828786$7347$2$1$2$0$0$$|4$13828786$7354$1$1$2$0$0$$|4$254615$7347$2$1$2$0$0$$|4$254615$7354$1$1$2$0$0$$|4$7478991$7347$2$1$2$0$0$$|4$1765487$7347$2$1$2$0$0$$&H=7346|0$13828786$254615$7478991$1765487}",
            # 'agoda.version.03': f"CookieId=c40f7621-0e86-4b90-b60e-81758dc4ae8a&AllocId=f6be6e8e9fb75f77bf1edc49ebcf85c199eab46d1cac64c8892888d491d679e7d0a9bd56634a881a78af6281ae2c62c9ae0202186ccf389926b64c42523a16f34f870bf924f5978a551a4406d1bffca507233caa45c40f76210e86b9060e81758dc4ae8a&DLang=en-gb&CurLabel=PKR&DPN=1&Alloc=&FEBuildVersion=&TItems=2{-1$02-11-2021} 00:25{03-13-2021} 00:25$",
            'session_cache': '{"Cache":"sgdata1","Time":"637486333694723214","SessionID":"jemh0eylv24ilvvdhddtfwxf","CheckID":"f238a2e6251124d0506226a55f16fdcf656b5d03","CType":"N"}',
            # 'utag_main': f"v_id:01778cfa735200ab026b21eef00003068001c0600086e{_sn:3$_se:1$_ss:1$_st:1613038370683$ses_id:1613036570683%3Bexp-session$_pn:1%3Bexp-session}",
            '_uetsid': '3e181bd06b7711ebb88bcb9635263725',
            '_uetvid': '3e183a606b7711eb997c47ce281bd2be',
            # 'ab.storage.sessionId.d999de98-30bc-4346-8124-a15900a101ae': '%7B%22g%22%3A%2237f85430-8585-b907-c0f0-35f0ab3497f1%22%2C%22e%22%3A1613038375591%2C%22c%22%3A1613036573656%2C%22l%22%3A1613036575591%7D',
            'agoda.analytics': 'Id=7364690487887896235&Signature=1851601900168538752&Expiry=1613040322762',
        }

        headers = {
            'authority': 'www.agoda.com',
            'ag-language-id': '16',
            'cr-currency-id': '142',
            'user-agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
            'content-type': 'application/json; charset=utf-8',
            'accept': 'application/json, text/javascript, */*; q=0.01',
            'ag-language-locale': 'en-GB',
            'x-requested-with': 'XMLHttpRequest',
            'dnt': '1',
            # 'cr-currency-code': 'PKR',
            'sec-fetch-site': 'same-origin',
            'sec-fetch-mode': 'cors',
            'sec-fetch-dest': 'empty',
            'referer': 'https://www.agoda.com/en-gb/',
            'accept-language': 'en-GB,en-US;q=0.9,en;q=0.8',
        }

        params = (
            ('searchText', search_string),
            # ('guid', 'ae39884b-298a-492c-adc4-9420ea6fde34'),
            ('cid', '-1'),
            ('pageTypeId', '1'),
            ('logTypeId', '1'),
            ('isHotelLandSearch', 'true'),
        )
        response = requests.get('https://www.agoda.com/api/cronos/search/GetUnifiedSuggestResult/3/1/1/0/en-gb/', headers=headers, params=params,proxies={'http':proxy_url})
        print(response.status_code)
        if response.status_code == 200:
            response = response.json()
            if 'SuggestionList' in response:
                suggestion_list = response['SuggestionList']
                return suggestion_list
            else:
                return False
    except Exception as ex:
        print(str(ex))

def getHotelSearchUrlFromSuggestions(cn_hotel_name,city_name,suggestion_list):
    try:
        for suggestion in suggestion_list:
            suggestion_hotel_name = suggestion['Name']
            suggestion_hotel_name_list = suggestion_hotel_name.split(',')
            suggestion_hotel_name = suggestion_hotel_name_list[0]
            print(cn_hotel_name +"=="+suggestion_hotel_name)

            if suggestion_hotel_name.lower() == cn_hotel_name.lower():
                suggestion_hotel_url = suggestion['Url']
                agoda_hotel_search_url = "https://www.agoda.com"+suggestion_hotel_url

                print(agoda_hotel_search_url)
                return agoda_hotel_search_url
            else:
                return False
    except Exception as ex:
        print(str(ex))

def getHotelDetails(search_url):
    try:
        search_url_parsed = urlparse.urlparse(search_url)
        parameters=parse_qs(search_url_parsed.query)
        hotel_id = 0
        selected_property=0
        if 'hotel' in parameters and 'selectedproperty' in parameters: 
            hotel_id = parameters['hotel']
            selected_property=parameters['selectedproperty']
            conn=create_connection()
            cur = conn.cursor()
            cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")

            proxy_details = cur.fetchall()
            conn.close()
            proxy_ip = proxy_details[0][1]
            print(proxy_ip)


            port = proxy_details[0][2]
            print(port)

            user = proxy_details[0][3]
            print(user)

            password = proxy_details[0][4]
            print(password)

            proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
            print(proxy_url)

            headers = {
                'authority': 'www.agoda.com',
                'dnt': '1',
                'x-referer': '',
                'user-agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
                'x-raw-url': '/en-gb/fremont-hotel-and-casino/hotel/las-vegas-nv-us.html?selectedproperty=206059',
                'accept': '*/*',
                'sec-fetch-site': 'same-origin',
                'sec-fetch-mode': 'cors',
                'sec-fetch-dest': 'empty',
                # 'referer': 'https://www.agoda.com/en-gb/fremont-hotel-and-casino/hotel/las-vegas-nv-us.html?selectedproperty=206059',
                'accept-language': 'en-GB,en-US;q=0.9,en;q=0.8',
            }

            params = (
                ('selectedproperty', selected_property),
                ('hotel_id', hotel_id),
                ('all', 'false'),
            )

            response = requests.get('https://www.agoda.com/api/en-gb/pageparams/property', headers=headers, params=params,proxies={'http':proxy_url})
            if response.status_code == 200:
                data = response.json()
                return data
            else:
                return False
        else:
            return False
    except Exception as ex:
        print(str(ex))


def getReviewsFromAgoda(cn_property_id,cn_hotel_name,city_name,cn_latitude,cn_longitude,retry_count=False):
    try:
        print("Property Id : "+str(cn_property_id))
        print("Hotel Name : "+cn_hotel_name)
        print("City Name : "+city_name)
        print("Latitude : "+str(cn_latitude))
        print("Longitude : "+str(cn_longitude))
        suggestion_list = getSuggestionList(cn_hotel_name,city_name)
        print (suggestion_list)
        if suggestion_list:
            agoda_hotel_search_url = getHotelSearchUrlFromSuggestions(cn_hotel_name,city_name,suggestion_list)
            print(agoda_hotel_search_url)
            if agoda_hotel_search_url:
                search_page_result = getHotelDetails(agoda_hotel_search_url)
                if search_page_result:
                    if 'reviews' in search_page_result:
                        reviews = search_page_result['reviews']
                        if 'score' in reviews:
                            review_score = reviews['score']
                            review_score = review_score/2
                        else:
                            review_score = "NULL"
                        if 'scoreText' in reviews:
                            review_tag=reviews['scoreText']
                            review_tag = review_tag
                            review_tag = review_tag.lower()
                        else:
                            review_tag = "NULL"
                        
                        if 'reviewsCount' in reviews:
                            total_reviews = reviews['reviewsCount']
                        else:
                            total_reviews = 0
                        return {
                            'agoda_review_score' : float(review_score),
                            'agoda_review_tag':review_tag,
                            'agoda_total_reviews':int(0)
                        }
        return False
    except Exception as ex:
        return False

def dbConnect():
    try:
        connection = mysql.connector.connect(
            host=configuration.db_host,
            user=configuration.db_user,
            password=configuration.db_password,
            database=configuration.db_database
        )
        return connection
    except Error as e:
        print(e)

def getCityHotelsFromDB(city,state,country):
    connection  = dbConnect()
    # query ="select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci') and city in ('Las Vegas', 'London', 'Dubai', 'Amsterdam', 'Paris', 'Singapore', 'Barcelona', 'Bangkok', 'Prague', 'Hong Kong', 'Lisbon', 'Hollywood', 'Chicago', 'New Orleans', 'San Francisco', 'Orlando', 'Miami', 'Edinburgh', 'Dublin', 'Los Angeles', 'Boston', 'Washington DC', 'Rome', 'Jaipur', 'Tokyo', 'Seattle', 'Berlin', 'Delhi', 'Mumbai', 'Atlanta', 'Toronto', 'Philadelphia', 'Istanbul', 'Hamburg', 'Honolulu', 'Cape Town', 'Chennai', 'Dallas', 'Abu Dhabi', 'Vancouver', 'Venice', 'Budapest', 'Sydney', 'Vienna', 'Manila', 'Madrid', 'Houston', 'Colombo', 'Agra', 'Kuala Lumpur', 'New York', 'Brussels', 'Copenhagen', 'Pattaya', 'Munich', 'Athens', 'Melbourne', 'Santorini', 'Cairo', 'Iceland', 'Seoul', 'Milan', 'Florence', 'Stockholm', 'Johannesburg', 'Beirut', 'Cebu City', 'Kyoto', 'Auckland', 'Dubrovnik', 'Chiang Mai', 'Amman', 'Nice', 'Shanghai', 'Taipei', 'Mexico City', 'Boracay', 'Hanoi', 'Geneva', 'Osaka', 'Jerusalem', 'Moscow', 'Porto', 'Antalya', 'Hurghada', 'Rio de Janeiro', 'Costa Rica', 'Krabi', 'Split ', 'Ho Chi Minh City', 'Warsaw', 'Jakarta', 'Buenos Aires', 'Phnom Penh', 'Macau', 'Casablanca', 'Sofia', 'Johor Bahru', 'Zagreb', 'Shenzhen', 'Da Nang') order by city ASC limit "+str(limit)+" offset "+str(offset)
    query= "select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci' or source='rakuteen') and city LIKE \"%"+str(city)+"%\" and state=\""+str(state)+"\" and country = \""+str(country)+"\""
    cursor = connection.cursor(buffered=True) 
    cursor.execute(query)
    results = cursor.fetchall()
    connection.close()
    return results

def isNaN(string):
    return string != string

def getHotelById(product_id):
    connection = dbConnect()
    # query ="select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci') and city in ('Las Vegas', 'London', 'Dubai', 'Amsterdam', 'Paris', 'Singapore', 'Barcelona', 'Bangkok', 'Prague', 'Hong Kong', 'Lisbon', 'Hollywood', 'Chicago', 'New Orleans', 'San Francisco', 'Orlando', 'Miami', 'Edinburgh', 'Dublin', 'Los Angeles', 'Boston', 'Washington DC', 'Rome', 'Jaipur', 'Tokyo', 'Seattle', 'Berlin', 'Delhi', 'Mumbai', 'Atlanta', 'Toronto', 'Philadelphia', 'Istanbul', 'Hamburg', 'Honolulu', 'Cape Town', 'Chennai', 'Dallas', 'Abu Dhabi', 'Vancouver', 'Venice', 'Budapest', 'Sydney', 'Vienna', 'Manila', 'Madrid', 'Houston', 'Colombo', 'Agra', 'Kuala Lumpur', 'New York', 'Brussels', 'Copenhagen', 'Pattaya', 'Munich', 'Athens', 'Melbourne', 'Santorini', 'Cairo', 'Iceland', 'Seoul', 'Milan', 'Florence', 'Stockholm', 'Johannesburg', 'Beirut', 'Cebu City', 'Kyoto', 'Auckland', 'Dubrovnik', 'Chiang Mai', 'Amman', 'Nice', 'Shanghai', 'Taipei', 'Mexico City', 'Boracay', 'Hanoi', 'Geneva', 'Osaka', 'Jerusalem', 'Moscow', 'Porto', 'Antalya', 'Hurghada', 'Rio de Janeiro', 'Costa Rica', 'Krabi', 'Split ', 'Ho Chi Minh City', 'Warsaw', 'Jakarta', 'Buenos Aires', 'Phnom Penh', 'Macau', 'Casablanca', 'Sofia', 'Johor Bahru', 'Zagreb', 'Shenzhen', 'Da Nang') order by city ASC limit "+str(limit)+" offset "+str(offset)
    query = "select * from cn_grs.fc_product_hotel_reviews where product_id = " + str(product_id)
    cursor = connection.cursor(buffered=True)
    cursor.execute(query)
    results = cursor.fetchone()
    connection.close()
    return results