import os.path
import requests,pickle,re
import json
import sqlite3
from datetime import datetime
from sqlite3 import Error
import csv
import pandas as pd
import concurrent.futures
from concurrent.futures import ThreadPoolExecutor, as_completed
import time
import sys
import traceback
import urllib.parse as urlparse
from urllib.parse import parse_qs
import random
from bs4 import BeautifulSoup
import mysql
from mysql.connector import connect,Error
import urllib.request
import urllib.parse
import urllib.parse as urlparse
from urllib.parse import parse_qs

def create_connection():
    db_file = r"./expedia/scrappers.db"
    conn = None
    try:
        conn = sqlite3.connect(db_file)
        print(sqlite3.version)
    except Error as e:
        print(e)
    return conn

def getSuggestedProperties(hotel_name,city_name,retry_count=0,):
    try:

        # if os.path.isfile('./expedia_cookie.txt') == False:
        #     print('file not exist')
        #     save_reqest_data()
    

        conn=create_connection()
        cur = conn.cursor()
        cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")

        proxy_details = cur.fetchall()
        conn.close()
        proxy_ip = proxy_details[0][1]
        print(proxy_ip)


        port = proxy_details[0][2]
        print(port)

        user = proxy_details[0][3]
        print(user)

        password = proxy_details[0][4]
        print(password)

        proxy_url = "http://"+user+":"+password+"@"+proxy_ip+":"+port
        print(proxy_url)

        headers = {
            'authority': 'www.expedia.com',
            'cache-control': 'max-age=0',
            # 'sec-ch-ua': '"Chromium";v="88", "Google Chrome";v="88", ";Not A Brand";v="99"',
            # 'sec-ch-ua-mobile': '?0',
            'dnt': '1',
            'upgrade-insecure-requests': '1',
            'user-agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36',
            'accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
            'sec-fetch-site': 'same-origin',
            'sec-fetch-mode': 'navigate',
            'sec-fetch-user': '?1',
            'sec-fetch-dest': 'document',
            # 'referer': 'https://www.expedia.com/botOrNot/verify?g-recaptcha-response=&destination=Lw%253D%253D',
            'accept-language': 'en-GB,en-US;q=0.9,en;q=0.8',
            # 'cookie': f"tpid=v.1,1; iEAPID=0; currency=USD; CRQS=t|1`s|1`l|en_US`c|USD; CRQSS=e|0; linfo=v.4,|0|0|255|1|0||||||||1033|0|0||0|0|0|-1|-1; HMS=275c5a28-7253-45a0-97ae-b731ad2ee4b2; MC1=GUID=fba9af0904f14da7aa49a2c30251c6a2; DUAID=fba9af09-04f1-4da7-aa49-a2c30251c6a2; aspp=v.1,0|||||||||||||; NavActions=acctWasOpened; s_ips=734; AMCVS_C00802BE5330A8350A490D4C%40AdobeOrg=1; CONSENTMGR=ts:1614772279797%7Cconsent:true; utag_main=v_id:0177f7ed99f800233d7af6ec770c03069001806100978{_sn:1$_ss:1$_st:1614774079801$ses_id:1614772279801%3Bexp-session$_pn:1%3Bexp-session;} qualtrics_sample=true; qualtrics_SI_sample=true; s_ecid=MCMID%7C51979225535547837121240802819418070651; s_cc=true; AMCV_C00802BE5330A8350A490D4C%40AdobeOrg=1585540135%7CMCIDTS%7C18690%7CMCMID%7C51979225535547837121240802819418070651%7CMCAAMLH-1615377079%7C3%7CMCAAMB-1615377079%7CRKhpRz8krg2tLO6pguXWp5olkAcUniQYPHaMWWgdJ3xzPWQmdj0y%7CMCOPTOUT-1614779480s%7CNONE%7CMCAID%7CNONE%7CvVersion%7C4.4.0; _uetsid=c5f0e4007c1611eb8d389be89d05ee19; _uetvid=c5f185307c1611eb8669ff69e9f92983; _ga=GA1.2.1244404825.1614772282; _gid=GA1.2.632018414.1614772282; s_tp=2213; s_ppv=https%253A%2F%2Fwww.expedia.com%2F%2C33%2C33%2C734%2C1%2C3; QSI_HistorySession=https%3A%2F%2Fwww.expedia.com%2F~1614772283584; xdid=4ddf7c53-a77d-4461-bf37-850546dac271|1614772284|expedia.com; xdidp=4ddf7c53-a77d-4461-bf37-850546dac271|1614772284|expedia.com; QSI_SI_3DF36Tp5MPTeHl3_intercept=true; SawSIalready=Yes; _cls_v=222c6b85-5d6b-4937-ac23-ffbe14d2733d; _cls_s=30efa300-3577-42ce-a136-117f138a9580:0; JSESSIONID=AB4B7149D2D45B950DE8450F8D47D06E; cesc=%7B%22marketingClick%22%3A%5B%22false%22%2C1614774344035%5D%2C%22hitNumber%22%3A%5B%221%22%2C1614774344035%5D%2C%22visitNumber%22%3A%5B%222%22%2C1614774344035%5D%2C%22entryPage%22%3A%5B%22page.404-Not-Found%22%2C1614774344035%5D%7D",
        }

        params = (
            ('features', 'ta_hierarchy|postal_code|google|consistent_display'),
            ('format', 'json'),
            ('lob', 'HOTELS'),
            ('locale', 'en_US'),
            ('regiontype', '2047'),
        )

        query_string = urllib.parse.urlencode(params, doseq=False)
        input_search = hotel_name

        url = 'https://www.expedia.com/api/v4/typeahead/'+input_search+'?'+query_string
        print(url)

        response = requests.get(url,params=params,headers=headers)

        
        print(response.status_code)

        if response.status_code == 200:
            suggestions = response.json()
            
            if 'sr' in suggestions:
                suggested_hotels = suggestions['sr']
                return suggested_hotels
            
            else:
                return False
        elif response.status_code == 429:
            
            retry_count = retry_count+1
            if retry_count < 2:
                # retry_after = int(response.headers["retry-after"])
                # print("Sleeping Expedia For "+retry_after)
                time.sleep(5)
                return getSuggestedProperties(hotel_name,city_name,retry_count)
            else:
                return False
            
    except Exception as ex:
        print(str(ex))

def save_reqest_data():
    headers = {
        'authority': 'www.expedia.com',
        'cache-control': 'max-age=0',
        'dnt': '1',
        'upgrade-insecure-requests': '1',
        'user-agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
        'accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
        'sec-fetch-site': 'same-origin',
        'sec-fetch-mode': 'navigate',
        'sec-fetch-user': '?1',
        'sec-fetch-dest': 'document',
        'accept-language': 'en-GB,en-US;q=0.9,en;q=0.8'
        }

    response = requests.get('https://www.expedia.com/', headers=headers)
    print("Status Code For getting cookies : "+response.status_code)
    if response.status_code == 200:
        save_cookies(response.cookies,'./expedia_cookie.txt')

def getRequiredHotelFromSuggestions(cn_hotel_name,cn_city_name,cn_latitude,cn_longitude,suggested_hotels):
    try:
        for suggested_hotel in suggested_hotels:
            if 'regionNames' in suggested_hotel:
                exp_hotel_full_name = suggested_hotel['regionNames']['fullName']
                exp_hotel_city_name =suggested_hotel['regionNames']['primaryDisplayName']
                exp_hotel_name = suggested_hotel['regionNames']['primaryDisplayName']
                exp_hotel_city_country_name = suggested_hotel['regionNames']['secondaryDisplayName']
                exp_hotel_city_country_name = exp_hotel_city_country_name.split(',')
                if len(exp_hotel_city_country_name)>0:
                    exp_hotel_city_name = exp_hotel_city_country_name[0]
                exp_hotel_coordinates = suggested_hotel['coordinates']
                exp_hotel_lat=0
                exp_hotel_long = 0
                if 'lat' in exp_hotel_coordinates:
                    exp_hotel_lat = exp_hotel_coordinates['lat']

                if 'long' in exp_hotel_coordinates:
                    exp_hotel_long = exp_hotel_coordinates['long']

                            # Check similarity using scanning tool API
                cn_data = {
                    'name':cn_hotel_name,
                    'lat':cn_latitude,
                    'long':cn_longitude,
                    'source':'cn',
                    'city':cn_city_name
                }

                expedia_data={
                    'name':exp_hotel_name,
                    'lat':exp_hotel_lat,
                    'long':exp_hotel_long,
                    'source':'expedia'
                }

                is_similar = checkSimilarity(cn_data,expedia_data)
                if is_similar:
                    return{
                        'exp_hotel_id':suggested_hotel['hotelId'],
                        'exp_city_id':suggested_hotel['cityId'],
                        'exp_hotel_full_name': exp_hotel_full_name,
                        'exp_hotel_name':exp_hotel_name
                    }
        return False
    except Exception as ex:
        print(str(ex))
        

def checkSimilarity(cn_data,expedia_data):
    try:
        is_similar = False
        st_api_url = "http://209.97.151.98/api/check_similarity"
        headers = {
            "Content-Type":"application/json"
        }
        body = {
            'data':cn_data,
            'source':expedia_data
        }
        body = json.dumps(body)
        # body = json.dumps(body)
        response = requests.post(st_api_url,headers=headers,data=body)
        if response.status_code == 200:
            response = response.json()
            similarity_data=response['data']
            avg_similarity = similarity_data['avg_similarity']
            distance = similarity_data['distance'].replace('km','').strip()
            distance = float(distance)
            title_similarity = similarity_data['name']

            print("Average Similarity : "+str(avg_similarity))
            print("Distance : "+str(distance))
            print("Title Similarity : "+str(title_similarity))
            if title_similarity >=90 and distance <=2.5:
                is_similar = True

        return is_similar
    except Exception as ex:
        print(str(ex))

def getHTMLFromDetailsPage(exp_hotel_details):
    try:
        hotel_id=exp_hotel_details['exp_hotel_id']
        city_id=['exp_city_id']
        hotel_full_name=exp_hotel_details['exp_hotel_full_name']
        hotel_name = exp_hotel_details['exp_hotel_name']
        conn=create_connection()
        cur = conn.cursor()
        cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")

        proxy_details = cur.fetchall()
        conn.close()
        proxy_ip = proxy_details[0][1]
        print(proxy_ip)


        port = proxy_details[0][2]
        print(port)

        user = proxy_details[0][3]
        print(user)

        password = proxy_details[0][4]
        print(password)

        proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
        print(proxy_url)

        req_headers = {
        'authority': 'www.expedia.com',
        'cache-control': 'max-age=0',
        'dnt': '1',
        'upgrade-insecure-requests': '1',
        'user-agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
        'accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
        'sec-fetch-site': 'same-origin',
        'sec-fetch-mode': 'navigate',
        'sec-fetch-user': '?1',
        'sec-fetch-dest': 'document',
        'accept-language': 'en-GB,en-US;q=0.9,en;q=0.8'
        }
        url='https://www.expedia.com/'+hotel_name+'.h'+str(hotel_id)+'.Hotel-Information'
        response = requests.get(url, headers=req_headers)
        if response.status_code == 200:
            exp_hotel_html = response.text
            return exp_hotel_html
        else:
            return False
    except Exception as ex:
        print(str(ex))

def extractReviewsFromPage(exp_hotel_html):
    try:
        soup = BeautifulSoup(exp_hotel_html)
        exp_reviews_main_div_id = soup.find(id='Reviews')
        exp_reviews_main_div = exp_reviews_main_div_id.find_all(class_='uitk-flex uitk-flex-gap-three')

        for item in exp_reviews_main_div:
            exp_review_score="NULL"
            rating_div_content = item.find(class_='uitk-type-900 uitk-type-regular')
            if len(rating_div_content)> 0:
                exp_reviews = rating_div_content.find('span')
                if exp_reviews is not None:
                    exp_review_score = exp_reviews.text
            exp_review_tag = item.find(class_='uitk-type-400 uitk-type-bold')
            if exp_review_tag is not None:
                exp_review_tag = exp_review_tag.text
                exp_review_tag = exp_review_tag.strip()
                exp_review_tag = exp_review_tag.lower()
            else:
                exp_review_tag = "NULL"
            
            exp_total_reviews = item.find('button')

            if exp_total_reviews is not None:
                exp_total_reviews=exp_total_reviews.text
                exp_total_reviews = exp_total_reviews.replace('reviews','').strip()
            else:
                exp_total_reviews = "NULL"
            return{
                'review_score':exp_review_score,
                'review_tag':exp_review_tag,
                'total_reviews':exp_total_reviews
            }
    except Exception as ex:
        print(str(ex))

def getReviewsFromExpedia(cn_property_id,cn_hotel_name,city_name,cn_latitude,cn_longitude,retry_count = False):
    try:
        print("Property ID : "+str(cn_property_id))
        print("Hotel Name : "+cn_hotel_name)
        print("City : "+city_name)
        print('Latitude : '+str(cn_latitude))
        print('Longitude : '+str(cn_longitude))
        
        
        # Get Suggested Hotel From Auto Suggestion URL
        # sleep_time=random.randint(1,3)
        # print("Adding Sleep Before Expedia : "+str(sleep_time))
        # time.sleep(sleep_time)
        suggested_hotels = getSuggestedProperties(cn_hotel_name,city_name)
        
        
        if suggested_hotels:
            # Select Required Hotel On the basis of title and coordintes using scanning tool
            exp_hotel_details = getRequiredHotelFromSuggestions(cn_hotel_name,city_name,cn_latitude,cn_longitude,suggested_hotels)
            print(exp_hotel_details)
            if exp_hotel_details:
                exp_hotel_html = getHTMLFromDetailsPage(exp_hotel_details)
                print(exp_hotel_html)
                if exp_hotel_html:
                    # Get review data from page
                    reviews = extractReviewsFromPage(exp_hotel_html)
                    if len(reviews)>0:
                        review_score = reviews['review_score']
                        review_tag = reviews['review_tag']
                        total_reviews = reviews['total_reviews']
                        print(review_score)
                        print(review_tag)
                        print(total_reviews)
                        
                        # updateExpediaReview(cn_property_id,review_score,review_tag,total_reviews)
                        addExpediaReviewsToCsv(cn_property_id,cn_hotel_name,city_name,review_score,review_tag,total_reviews)
    except Exception as ex:
        print(str(ex))

def addExpediaReviewsToCsv(cn_property_id,cn_property_title,city_name,review_score,review_tag,review_count):
    with open(r'./expedia_review_data.csv','a',newline='') as csvfile:
        try:
            fieldnames = [
            'cn_property_id',
            'cn_property_title',
            'city_name',
            'review_score',
            'review_tag',
            'review_count'
            ]
            writer = csv.DictWriter(csvfile,fieldnames= fieldnames)
            writer.writerow({
                'cn_property_id':cn_property_id,
                'cn_property_title':cn_property_title,
                'city_name':city_name,
                'review_score':review_score,
                'review_tag':review_tag,
                'review_count':review_count
            })
        except Exception as ex:
            print(str(ex))

def updateExpediaReview(cn_property_id,review_score,review_tag,review_count):
    connection = dbConnect()
    cursor = connection.cursor()
    try:
        connection.autocommit = False
        expedia_update_query = "Update cn_grs.fc_product_hotel_reviews SET expedia_reviews_score = "+str(review_score)+",expedia_reviews_tag = "+str(review_tag)+",expedia_reviews_count = "+str(review_count)+" where product_id = "+str(cn_property_id)+" and expedia_reviews_score IS NULL"
        print(expedia_update_query)
        cursor.execute(expedia_update_query)
        connection.commit()
        print(cursor.rowcount,"records(s) affected")
            
    except mysql.connector.Error as error:
        connection.rollback()
    finally:
        if(connection.is_connected()):
            cursor.close()
            connection.close()

def save_cookies(requests_cookiejar, filename):
    with open(filename, 'wb') as f:
        pickle.dump(requests_cookiejar, f)


def load_cookies(filename):
    with open(filename, 'rb') as f:
        return pickle.load(f)

def dbConnect():
    try:
        connection = mysql.connector.connect(
            host = '127.0.0.1',
            user='guest',
            password ='Admin@12345',
            database= 'cn_grs'
        )
        return connection
    except Error as e:
        print(e)

def getCityHotelsFromDB(city,state,country):
    connection  = dbConnect()
    # query ="select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci') and city in ('Las Vegas', 'London', 'Dubai', 'Amsterdam', 'Paris', 'Singapore', 'Barcelona', 'Bangkok', 'Prague', 'Hong Kong', 'Lisbon', 'Hollywood', 'Chicago', 'New Orleans', 'San Francisco', 'Orlando', 'Miami', 'Edinburgh', 'Dublin', 'Los Angeles', 'Boston', 'Washington DC', 'Rome', 'Jaipur', 'Tokyo', 'Seattle', 'Berlin', 'Delhi', 'Mumbai', 'Atlanta', 'Toronto', 'Philadelphia', 'Istanbul', 'Hamburg', 'Honolulu', 'Cape Town', 'Chennai', 'Dallas', 'Abu Dhabi', 'Vancouver', 'Venice', 'Budapest', 'Sydney', 'Vienna', 'Manila', 'Madrid', 'Houston', 'Colombo', 'Agra', 'Kuala Lumpur', 'New York', 'Brussels', 'Copenhagen', 'Pattaya', 'Munich', 'Athens', 'Melbourne', 'Santorini', 'Cairo', 'Iceland', 'Seoul', 'Milan', 'Florence', 'Stockholm', 'Johannesburg', 'Beirut', 'Cebu City', 'Kyoto', 'Auckland', 'Dubrovnik', 'Chiang Mai', 'Amman', 'Nice', 'Shanghai', 'Taipei', 'Mexico City', 'Boracay', 'Hanoi', 'Geneva', 'Osaka', 'Jerusalem', 'Moscow', 'Porto', 'Antalya', 'Hurghada', 'Rio de Janeiro', 'Costa Rica', 'Krabi', 'Split ', 'Ho Chi Minh City', 'Warsaw', 'Jakarta', 'Buenos Aires', 'Phnom Penh', 'Macau', 'Casablanca', 'Sofia', 'Johor Bahru', 'Zagreb', 'Shenzhen', 'Da Nang') order by city ASC limit "+str(limit)+" offset "+str(offset)
    query= "select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci' or source='rakuteen') and city LIKE \"%"+str(city)+"%\" and state=\""+str(state)+"\" and country = \""+str(country)+"\""
    cursor = connection.cursor(buffered=True) 
    cursor.execute(query)
    results = cursor.fetchall()
    connection.close()
    return results

def isNaN(string):
    return string != string

def main():
    top_cities = pd.read_csv('./expedia/grs_matched_finalized.csv')
    expedia_review_data = pd.read_csv('./expedia_review_data.csv',header=None)
    
    
    for index,top_city in top_cities.iterrows():
        city = top_city['CITY']
        city = city.strip()
        print(city)
        if not isNaN(top_city['STATE']):
            state = top_city['STATE']
        else:
            state = ''
        
        print(state)
        country = top_city['COUNTRY']

        print(country)
        city_hotels = getCityHotelsFromDB(city,state,country)
        
        for hotel in city_hotels:
            cn_property_id = hotel[0]
            cn_hotel_name = hotel[2]
            city_name = hotel[6]
            cn_latitude = float(hotel[3])
            cn_longitude = float(hotel[4])

            if cn_property_id not in expedia_review_data[0].values:
                time.sleep(5)
                getReviewsFromExpedia(cn_property_id,cn_hotel_name,city_name,cn_latitude,cn_longitude,0)
            else:
            
                print("Hotel already exists")

        # with concurrent.futures.ThreadPoolExecutor(max_workers=4) as executor:
        #     futures=[]
        #     for hotel in city_hotels:
        #         cn_property_id = hotel[0]
        #         cn_hotel_name = hotel[2]
        #         city_name = hotel[6]
        #         cn_latitude = float(hotel[3])
        #         cn_longitude = float(hotel[4])
        #
        #         if cn_property_id in expedia_review_data[0].values:
        #             print("Hotel already exists")
        #         else:
        #             time.sleep(5)
        #             futures.append(executor.submit(getReviewsFromExpedia,cn_property_id,cn_hotel_name,city_name,cn_latitude,cn_longitude,0))
        #
        #     for future in concurrent.futures.as_completed(futures):
        #         print(future.result(future))
main()
