import os.path
from os.path import join,dirname,realpath
import requests,pickle,re
import json
import sqlite3
from datetime import datetime
from sqlite3 import Error
import csv
import pandas as pd
import concurrent.futures
from concurrent.futures import ThreadPoolExecutor, as_completed
import time
import sys
# from time import time
import random
from bs4 import BeautifulSoup
import urllib.parse as urlparse
from urllib.parse import parse_qs
import traceback
import mysql
from mysql.connector import connect,Error
import threading
import urllib.request
import urllib.parse
# from app.config.environment import configuration

def getSearchResults(failed,ss,ss_raw,dest_id,booking_hotel_lat,booking_hotel_lon,retry_count=False):
    
    try:
        start_time = time.time()
        conn=create_connection()
        cur = conn.cursor()
        cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")
        proxy_details = cur.fetchall()
        conn.close()
        proxy_ip = proxy_details[0][1]
        bkng_path = join(dirname(realpath(__file__)),'csrf_bkng.json')
        cookie_path = join(dirname(realpath(__file__)),'booking_cookie.txt')
        print(proxy_ip)


        port = proxy_details[0][2]
        print(port)

        user = proxy_details[0][3]
        print(user)

        password = proxy_details[0][4]
        print(password)

        proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
        print(proxy_url)

        req_data={}
        if os.path.isfile(bkng_path) == False:
            request_data = save_reqest_data()


        request_data = load_csrf_bkng_data(bkng_path)
        bkng = request_data['bkng']
        csrf_token = request_data['csrf_token']

        cookies = {
            '_pxhd': 'c01e6336f79dd913cf65d8c2f2790fffd2263ee0d0e006197102dd296f4fcf08%3A65f42020-34a8-11eb-8ed5-15107da881d0',
            'cors_js': '1',
            '_gcl_au': '1.1.209655033.1606918355',
            '_ga': 'GA1.2.1303688448.1606918355',
            '_pxvid': '65f42020-34a8-11eb-8ed5-15107da881d0',
            '_scid': '4ac30df2-3965-44db-a722-cf4366fd5c06',
            '_pin_unauth': 'dWlkPVpUUXpZMkl5TnpBdE9UYzFOeTAwTmpreExXSXpabUV0WkRBMlpXSXlaakEzWkRNeA',
            'OptanonConsent': 'isIABGlobal=false&datestamp=Fri+Dec+11+2020+14%3A26%3A51+GMT%2B0500+(Pakistan+Standard+Time)&version=6.10.0&hosts=&consentId=9e14627f-813a-42ea-aeec-499269056fe0&interactionCount=1&landingPath=https%3A%2F%2Fwww.booking.com%2Findex.en-gb.html%3Flabel%3Dgen173nr-1DCAEoggI46AdIM1gEaMABiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIEuALN9sz-BcACAdICJGEzNmRlMjhlLTY4ZTYtNDczNS1hMTJmLTUwYWRjOGIxZmZlNdgCBOACAQ%3Bsid%3Db220e3834aab6f5f8c51fd008bfd99e2%3Bkeep_landing%3D1%26sb_price_type%3Dtotal%26&groups=C0001%3A1%2CC0002%3A0%2CC0004%3A0',
            # 'b': '%7B%22bhsp1_ls_facilities%22%3A%22%7B%5C%22T%5C%22%3A1%2C%5C%22B%5C%22%3A0%2C%5C%22S%5C%22%3A0%7D%22%7D',
            'bkng_prue': '1',
            # '11_srd': '%7B%22features%22%3A%5B%7B%22id%22%3A16%7D%5D%2C%22score%22%3A3%2C%22detected%22%3Afalse%7D',
            'BJS': '-',
            '_gid': 'GA1.2.886793700.1614108821',
            '_sctr': '1|1614106800000',
            'g_state': '{"i_p":1616528032364,"i_l":4}',
            'has_preloaded': '1',
            '_uetsid': '0a3b95c0760e11ebb7d43328832db5d7',
            '_uetvid': 'ba91dd603b8411eb8ab7619e4e21d79b',
            'bkng': bkng,
            '_derived_epik': 'dj0yJnU9cUp1dWJUWk1uN0hvOHEyUk85WXJSYWxDWmFNVXdfSVMmbj0xcUZiVmFWYVppbmY1Mi1felAzcWxRJm09MSZ0PUFBQUFBR0Exa2NZJnJtPTEmcnQ9QUFBQUFHQTFrY1k',
            '_px3': 'f0a6dda08b52f4e5fbbaed5eea3cc4645c3bd41601055c12cdad5515d74319d5:2e/i2Mdbso5HAcMw73LrNXSzI5x5cgutBFpNtzxivP2E4Sd2nJZKCCLEee0WU+/+fV2ZzzrIeH27qt930yIKbQ==:1000:3lzXK/d0wcSPKwe+/EJSU0CsR4Xs5ozs1TNb+xRmykqJipSfVr5NMJOcTDcraIBXHaZnvABQ+TEnXfc2ZvZ9m1KPLL1iYOPRc8YXZsTCD/Q5kK1GJrtTTtwgUTEUK9iwUjnWQziFAOKfMaXwjZiPS1u4pZS5+0h4Wrv8JunfLrM=',
            '_pxde': 'ab08057e8549c8b0cbea633b6592decf08334410e8a20cf4dbf25451db9a40ee:eyJ0aW1lc3RhbXAiOjE2MTQxMjM0NjU3ODcsImZfa2IiOjAsImlwY19pZCI6W119',
            '_gat': '1',
            'lastSeen': '0',
            }

        # cookies = {
        #     # '_pxhd': 'c01e6336f79dd913cf65d8c2f2790fffd2263ee0d0e006197102dd296f4fcf08%3A65f42020-34a8-11eb-8ed5-15107da881d0',
        #     # 'cors_js': '1',
        #     # '_gcl_au': '1.1.209655033.1606918355',
        #     # '_ga': 'GA1.2.1303688448.1606918355',
        #     # '_pxvid': '65f42020-34a8-11eb-8ed5-15107da881d0',
        #     # '_scid': '4ac30df2-3965-44db-a722-cf4366fd5c06',
        #     # '_pin_unauth': 'dWlkPVpUUXpZMkl5TnpBdE9UYzFOeTAwTmpreExXSXpabUV0WkRBMlpXSXlaakEzWkRNeA',
        #     # 'OptanonConsent': 'isIABGlobal=false&datestamp=Fri+Dec+11+2020+14%3A26%3A51+GMT%2B0500+(Pakistan+Standard+Time)&version=6.10.0&hosts=&consentId=9e14627f-813a-42ea-aeec-499269056fe0&interactionCount=1&landingPath=https%3A%2F%2Fwww.booking.com%2Findex.en-gb.html%3Flabel%3Dgen173nr-1DCAEoggI46AdIM1gEaMABiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIEuALN9sz-BcACAdICJGEzNmRlMjhlLTY4ZTYtNDczNS1hMTJmLTUwYWRjOGIxZmZlNdgCBOACAQ%3Bsid%3Db220e3834aab6f5f8c51fd008bfd99e2%3Bkeep_landing%3D1%26sb_price_type%3Dtotal%26&groups=C0001%3A1%2CC0002%3A0%2CC0004%3A0',
        #     # 'b': '%7B%22bhsp1_ls_facilities%22%3A%22%7B%5C%22T%5C%22%3A1%2C%5C%22B%5C%22%3A0%2C%5C%22S%5C%22%3A0%7D%22%7D',
        #     # 'g_state': '{"i_p":1614080013917,"i_l":4}',
        #     # '_gid': 'GA1.2.68012671.1612336048',
        #     # 'BJS': '-',
        #     'bkng_prue': '1',
        #     # '_sctr': '1|1612465200000',
        #     # 'has_preloaded': '1',
        #     # '11_srd': '%7B%22features%22%3A%5B%7B%22id%22%3A16%7D%5D%2C%22score%22%3A3%2C%22detected%22%3Afalse%7D',
        #     # '_uetsid': '7ac69a4065ee11ebaed36df8c2274fd2',
        #     # '_uetvid': 'ba91dd603b8411eb8ab7619e4e21d79b',
        #     # 'bkng': '11UmFuZG9tSVYkc2RlIyh9YXSgTtYpR%2F1WOjMvuuinviGeFYySEPHNlL5UG9QeDgVsBc%2B7j1I0kA%2BP2D8W9m7T0vi1bi%2FW0gQ2dFCp64JKN28Jaef37HE29rnyQ%2FsnlwTrQLVJb%2BZxaEorfAgFsmb3u5G2ZRu1iocU23kIHOl1AiXgMYFTQatJ48vrTtjnij377sI6gPj%2FOhFJp9l50xLrbQ%3D%3D',
        #     'bkng': bkng,
        #     # '_derived_epik': 'dj0yJnU9cTdDbUljMUotQkNMYklIVFowQXpjaVpvQTdpRUxRalombj1qZnJDSUNaZU42R3k3SFlmbDljQk9RJm09MSZ0PUFBQUFBR0FkR2IwJnJtPTEmcnQ9QUFBQUFHQWRHYjA',
        #     # '_px3': '804cf5bb925978369109eaaf0e8622fa63086530c87f16b1a0cd275176cae3b6:5xjrnC/iPuBWFSC2V6Q8IHmnvjIk0ft0WCPcUJZotAA7tNjI+MSsW8LnGprBLpt0kOA1lFhh3eFyYr0YYMNUsA==:1000:P1vc2Gy30pfaeEsVJIdiZy0Df/fnmH0lrjDT4L950IWVotioMuJhnP3i78Pupq29LQCPq1ReA3I4qG25/n7hEAe+KYDxyLvCqzIrGe7MK+Q6yVvwGLZxUXXR8q5D3ZuS58mVcRNQAaBYmZkkCTfGNZHgXXm7uXMyA1GzIc0bQRA=',
        #     # '_pxde': 'e88155b168630485201192ed435f176022aa5eb449da6c22a2efdcf8ad9812cc:eyJ0aW1lc3RhbXAiOjE2MTI1MjA1OTQ2NDYsImZfa2IiOjAsImlwY19pZCI6W119',
        #     # 'lastSeen': '0',
        # }

        headers = {
            'Connection': 'keep-alive',
            'Cache-Control': 'max-age=0',
            'DNT': '1',
            'Upgrade-Insecure-Requests': '1',
            'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
            'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
            'Sec-Fetch-Site': 'same-origin',
            'Sec-Fetch-Mode': 'navigate',
            'Sec-Fetch-User': '?1',
            'Sec-Fetch-Dest': 'document',
            'Referer': 'https://www.booking.com/index.en-gb.html?label=gen173nr-1FCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AEB6AEB-AELiAIBqAIDuAL0qPSABsACAdICJDgzYmQ3YWJjLWRmZDktNDk5Yy04Zjg5LWRhNjBlN2U1ZTQyY9gCBuACAQ&sid=b220e3834aab6f5f8c51fd008bfd99e2&srpvid=cd0b45623ad60135&click_from_logo=1',
            'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
        }
        params = (
            ('label', 'gen173nr-1FCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AEB6AEB-AELiAIBqAIDuAL0qPSABsACAdICJDgzYmQ3YWJjLWRmZDktNDk5Yy04Zjg5LWRhNjBlN2U1ZTQyY9gCBuACAQ'),
            ('sb', '1'),
            ('sb_lp', '1'),
            ('src', 'index'),
            ('src_elem', 'sb'),
            ('ss', ss),
            ('is_ski_area', '0'),
            ('checkin_year', ''),
            ('checkin_month', ''),
            ('checkout_year', ''),
            ('checkout_month', ''),
            ('group_adults', '2'),
            ('group_children', '0'),
            ('no_rooms', '1'),
            ('b_h4u_keep_filters', ''),
            ('from_sf', '1'),
            ('ss_raw',ss_raw),
            ('dest_id', dest_id),
            ('place_id_lat',booking_hotel_lat),
            ('place_id_lon',booking_hotel_lon),
            ('dest_type', 'hotel'),
            ('search_selected', 'true'),
        )
        query_string = urllib.parse.urlencode(params, doseq=False)
        url = 'https://www.booking.com/searchresults.en-gb.html?'+query_string
        print("Search URL"+url)

        # response = requests.get('https://www.booking.com/searchresults.en-gb.html',headers=headers, params=params, cookies=cookies)
        response = requests.get('https://www.booking.com/searchresults.en-gb.html',headers=headers, params=params, cookies=cookies,proxies={'http':proxy_url})
        print("Search Result Status Code : "+str(response.status_code))
        
        if response.status_code == 200:
            data = response.text
            return data

        else:
            if(retry_count < 3):
                retry_count +=1
                if os.path.isfile(cookie_path) == True:
                    os.remove(cookie_path)

                if os.path.isfile(bkng_path) == True:
                    os.remove(bkng_path)
                getSearchResults(False,ss,ss_raw,dest_id,booking_hotel_lat,booking_hotel_lon,retry_count)
            else:
                return False
        
        end_time = time.time()
        t_time = end_time - start_time
        print("Total Time : "+t_time)
    except Exception as ex:
        print(str(ex))
        



def getHTMLHotelLandingURL(failed,url,retry_count=0):
    try:
        bkng_path = join(dirname(realpath(__file__)),'csrf_bkng.json')
        cookies_path = join(dirname(realpath(__file__)),'booking_cookie.txt')

        parsed = urlparse.urlparse(url)
        label=str(parse_qs(parsed.query)['label']).replace('[','').replace(']','')
        
        conn=create_connection()
        cur = conn.cursor()
        cur.execute("SELECT * FROM proxys ORDER BY RANDOM() LIMIT 1;")

        proxy_details = cur.fetchall()
        conn.close()
        proxy_ip = proxy_details[0][1]
        print(proxy_ip)


        port = proxy_details[0][2]
        print(port)

        user = proxy_details[0][3]
        print(user)

        password = proxy_details[0][4]
        print(password)

        proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
        print(proxy_url)

        req_data={}
        if os.path.isfile(bkng_path) == False:
            request_data = save_reqest_data()


        request_data = load_csrf_bkng_data(bkng_path)
        bkng = request_data['bkng']
        csrf_token = request_data['csrf_token']
        
        cookies = {
            # '_pxhd': 'c01e6336f79dd913cf65d8c2f2790fffd2263ee0d0e006197102dd296f4fcf08%3A65f42020-34a8-11eb-8ed5-15107da881d0',
            # 'cors_js': '1',
            # '_gcl_au': '1.1.209655033.1606918355',
            # '_ga': 'GA1.2.1303688448.1606918355',
            # '_pxvid': '65f42020-34a8-11eb-8ed5-15107da881d0',
            # '_scid': '4ac30df2-3965-44db-a722-cf4366fd5c06',
            # '_pin_unauth': 'dWlkPVpUUXpZMkl5TnpBdE9UYzFOeTAwTmpreExXSXpabUV0WkRBMlpXSXlaakEzWkRNeA',
            # 'OptanonConsent': 'isIABGlobal=false&datestamp=Fri+Dec+11+2020+14%3A26%3A51+GMT%2B0500+(Pakistan+Standard+Time)&version=6.10.0&hosts=&consentId=9e14627f-813a-42ea-aeec-499269056fe0&interactionCount=1&landingPath=https%3A%2F%2Fwww.booking.com%2Findex.en-gb.html%3Flabel%3Dgen173nr-1DCAEoggI46AdIM1gEaMABiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIEuALN9sz-BcACAdICJGEzNmRlMjhlLTY4ZTYtNDczNS1hMTJmLTUwYWRjOGIxZmZlNdgCBOACAQ%3Bsid%3Db220e3834aab6f5f8c51fd008bfd99e2%3Bkeep_landing%3D1%26sb_price_type%3Dtotal%26&groups=C0001%3A1%2CC0002%3A0%2CC0004%3A0',
            # 'b': '%7B%22bhsp1_ls_facilities%22%3A%22%7B%5C%22T%5C%22%3A1%2C%5C%22B%5C%22%3A0%2C%5C%22S%5C%22%3A0%7D%22%7D',
            # 'g_state': '{"i_p":1614080013917,"i_l":4}',
            # '_gid': 'GA1.2.68012671.1612336048',
            # 'BJS': '-',
            'bkng_prue': '1',
            # '_sctr': '1|1612465200000',
            # 'has_preloaded': '1',
            # '11_srd': '%7B%22features%22%3A%5B%7B%22id%22%3A16%7D%5D%2C%22score%22%3A3%2C%22detected%22%3Afalse%7D',
            # '_uetsid': '7ac69a4065ee11ebaed36df8c2274fd2',
            # '_uetvid': 'ba91dd603b8411eb8ab7619e4e21d79b',
            # 'bkng': '11UmFuZG9tSVYkc2RlIyh9YXSgTtYpR%2F1WOjMvuuinviGeFYySEPHNlL5UG9QeDgVsBc%2B7j1I0kA%2BP2D8W9m7T0vi1bi%2FW0gQ2dFCp64JKN28Jaef37HE29rnyQ%2FsnlwTrQLVJb%2BZxaEorfAgFsmb3u5G2ZRu1iocU23kIHOl1AiXgMYFTQatJ48vrTtjnij377sI6gPj%2FOhFJp9l50xLrbQ%3D%3D',
            'bkng': bkng,
            # '_derived_epik': 'dj0yJnU9cTdDbUljMUotQkNMYklIVFowQXpjaVpvQTdpRUxRalombj1qZnJDSUNaZU42R3k3SFlmbDljQk9RJm09MSZ0PUFBQUFBR0FkR2IwJnJtPTEmcnQ9QUFBQUFHQWRHYjA',
            # '_px3': '804cf5bb925978369109eaaf0e8622fa63086530c87f16b1a0cd275176cae3b6:5xjrnC/iPuBWFSC2V6Q8IHmnvjIk0ft0WCPcUJZotAA7tNjI+MSsW8LnGprBLpt0kOA1lFhh3eFyYr0YYMNUsA==:1000:P1vc2Gy30pfaeEsVJIdiZy0Df/fnmH0lrjDT4L950IWVotioMuJhnP3i78Pupq29LQCPq1ReA3I4qG25/n7hEAe+KYDxyLvCqzIrGe7MK+Q6yVvwGLZxUXXR8q5D3ZuS58mVcRNQAaBYmZkkCTfGNZHgXXm7uXMyA1GzIc0bQRA=',
            # '_pxde': 'e88155b168630485201192ed435f176022aa5eb449da6c22a2efdcf8ad9812cc:eyJ0aW1lc3RhbXAiOjE2MTI1MjA1OTQ2NDYsImZfa2IiOjAsImlwY19pZCI6W119',
            # 'lastSeen': '0',
        }

        headers = {
            'Connection': 'keep-alive',
            'Cache-Control': 'max-age=0',
            'DNT': '1',
            'Upgrade-Insecure-Requests': '1',
            'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
            'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
            'Sec-Fetch-Site': 'same-origin',
            'Sec-Fetch-Mode': 'navigate',
            'Sec-Fetch-User': '?1',
            'Sec-Fetch-Dest': 'document',
            'Referer': url,
            'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
        }
        # headers = {
        #     'Connection': 'keep-alive',
        #     'DNT': '1',
        #     'X-Booking-Language-Code': 'en-gb',
        #     'X-Booking-CSRF': 'K3c2YAAAAAA=0a_fttP7G18xfSeRJJU_smHqGCI_ojeB7p2HExhBIwlh7rlNAa2xWHCVBHYYqSZ3R589cAPNNXwiNItGIddUnyvUbU5Dqu-LES7ytb1UgXngeyRoSC84bZUCkNC1w2aR_5U1gxBgyOm_oHges_YEtYrj6F1JrzUZd0F_ACEqoLx6gBrn2fz4owd2pcpEj2Sp-KMSFWkQXcKfYVdr',
        #     'X-Booking-AID': '304142',
        #     'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36',
        #     'X-Booking-Label': 'gen173nr-1FCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AEB6AEB-AELiAIBqAIDuAL0qPSABsACAdICJDgzYmQ3YWJjLWRmZDktNDk5Yy04Zjg5LWRhNjBlN2U1ZTQyY9gCBuACAQ',
        #     'X-Partner-Channel-Id': '3',
        #     'X-Booking-Pageview-Id': '999153f5050e0102',
        #     'Accept': '*/*',
        #     'X-Booking-SiteType-Id': '1',
        #     'X-Requested-With': 'XMLHttpRequest',
        #     'X-Booking-Session-Id': 'b220e3834aab6f5f8c51fd008bfd99e2',
        #     'Sec-Fetch-Site': 'same-origin',
        #     'Sec-Fetch-Mode': 'cors',
        #     'Sec-Fetch-Dest': 'empty',
        #     'Referer': 'https://www.booking.com/hotel/de/courtyard-munich-city-east.en-gb.html?label=gen173nr-1FCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AEB6AEB-AELiAIBqAIDuAL0qPSABsACAdICJDgzYmQ3YWJjLWRmZDktNDk5Yy04Zjg5LWRhNjBlN2U1ZTQyY9gCBuACAQ;sid=b220e3834aab6f5f8c51fd008bfd99e2;dest_id=-1829149;dest_type=city;dist=0;group_adults=2;group_children=0;hapos=1;hpos=1;no_rooms=1;room1=A%2CA;sb_price_type=total;sr_order=popularity;srepoch=1614166951;srpvid=18795253588b0113;type=total;ucfs=1&',
        #     'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
        #     }


        params = (
            ('label',label),
        )

        
        # response = requests.get(url, proxies={'http':proxy_url},headers=headers, params=params)
        response = requests.get(url,headers=headers,cookies=cookies)
        
        print("Landing Page Status Code : "+str(response.status_code))
        if response.status_code == 200:
            print(response)
            
            landing_page_data = response.text
            return landing_page_data

            # Match Lat,Lon and text

        else:
            if(retry_count < 3):
                retry_count +=1
                if os.path.isfile(cookies_path) == True:
                    os.remove(cookies_path)

                if os.path.isfile(bkng_path) == True:
                    os.remove(bkng_path)
                getHTMLHotelLandingURL(failed=False)
            else:
                return False
    except Exception as ex:
        print(str(ex))

def create_connection():
    db_file = join(dirname(realpath(__file__)),"scrappers.db")
    conn = None
    try:
        conn = sqlite3.connect(db_file)
        print(sqlite3.version)
    except Error as e:
        print(e)
    return conn

def save_reqest_data():
    try:
        bkng_path = join(dirname(realpath(__file__)),'csrf_bkng.json')
        cookie_path = join(dirname(realpath(__file__)),'booking_cookie.txt')
        data = {}
        headers = {
        'Connection': 'keep-alive',
        'DNT': '1',
        'Upgrade-Insecure-Requests': '1',
        'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36',
        'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
        'Sec-Fetch-Site': 'none',
        'Sec-Fetch-Mode': 'navigate',
        'Sec-Fetch-User': '?1',
        'Sec-Fetch-Dest': 'document',
        'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
        }

        params = (
        ('label', 'gen173nr-1DCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIDuALvtqz8BcACAdICJDYxMmJjYWI0LTVjMDItNDI5Mi1hYjBjLTE0MjQwZTYzOGJkN9gCBOACAQ;sid=0397a6720fb14d76e51aaedd8ea8c4ab;keep_landing=1'),
        ('sb_price_type', 'total'),
        )

        response = requests.get('https://www.booking.com/index.en-gb.html',headers=headers,params=params)
        save_cookies(response.cookies, cookie_path)
        bkng = response.cookies.get('bkng').strip()
        bkng = str(bkng)
        response = requests.get('https://www.booking.com/index.en-gb.html', headers=headers, params=params, cookies=load_cookies(
            cookie_path))
        data = response.text
        csrf_start = data.find("'X-Booking-CSRF':")
        csrf_end = data.find("'X-Booking-Info':")
        csrf_token = data[csrf_start:csrf_end]
        csrf_token = str(csrf_token.replace("'X-Booking-CSRF':",'').replace(',','').replace("'",'').strip())
        req_data= {}
        req_data['csrf_token'] = csrf_token
        req_data['bkng'] = bkng
        save_csrf_token(req_data, bkng_path)
    except Exception as ex:
        print(str(ex))



def save_cookies(requests_cookiejar, filename):
    with open(filename, 'wb') as f:
        pickle.dump(requests_cookiejar, f)


def load_cookies(filename):
    with open(filename, 'rb') as f:
        return pickle.load(f)

def save_csrf_token(csrf_bkng_data,filename):
	with open(filename,'w') as csrf_file:
		json.dump(csrf_bkng_data,csrf_file)

def load_csrf_bkng_data(filename):
	with open(filename,'r') as csrf_file:
		data = json.load(csrf_file)
		return data

def identifyNeighborsFromSearchResults(city,state,country,search_list_html):
    try:
        soap = BeautifulSoup(search_list_html)
        main_search_results_div = soap.find(id='filter_district')
        neighbours = []
        if main_search_results_div:
            search_results = main_search_results_div.find_all('a',class_='filterelement')
            print(len(search_results))
            for search_result in search_results:
                # neighbours = search_result.find_all('a',class_='filteroptions')
                data = {}
                data['city'] = city
                data['state'] = state
                data['country'] = country
                data['name'] = search_result.find('span',class_='filter_label').text
                data['count'] = int(search_result.find('span',class_='filter_count').text)
                # print(data)
                if data['name'] and data['count']:
                    addneighbourindatafile(data)
                else:
                    print("No Neighbor Data in current Search")
                # neighbours.append(data)
                # hotel_title=hotel_title.replace('"','').strip()
                # hotel_address = search_result.find('a',class_='bui-link').text
                # hotel_address=hotel_address.replace('Show on map','').replace("\n","").replace(' ','')
                # hotel_address = hotel_address.split(',')
                # hotel_landing_url = search_result.find('a',class_='js-sr-hotel-link hotel_name_link url')['href']
                # hotel_landing_url = hotel_landing_url.replace('\n','')
                # print(hotel_landing_url)
                # Extract city from hotel address. The last part in address will be the city
                # booking_city_name = hotel_address[len(hotel_address)-1]
                # print(booking_city_name.lower() +"=="+ city_name.lower())
                # if  booking_city_name.lower().replace(' ','') == city_name.lower().replace(' ',''):
                #     hotel_landing_url = "https://www.booking.com"+hotel_landing_url
                #     return {
                #         'booking_hotel_name':hotel_title,
                #         'booking_city': booking_city_name,
                #         'booking_landing_url':hotel_landing_url
                #     }
        else:
            return False
        return neighbours
    except Exception as ex:
        print(str(ex))

def getHotelCoordinatesFromLandingPage(landing_page_html):
    try:
        hotel_latitude_raw = re.findall(r'booking.env.b_map_center_latitude = .*;',landing_page_html)[0]
        hotel_latitude = hotel_latitude_raw.replace(';','')
        hotel_latitude = str(hotel_latitude.split('=')[1]).strip()

        hotel_longitude_raw = re.findall(r'booking.env.b_map_center_longitude = .*;',landing_page_html)[0]
        hotel_longitude = hotel_longitude_raw.replace(';','')
        hotel_longitude = str(hotel_longitude.split('=')[1]).strip()
        return {
            'lat':hotel_latitude,
            'lon':hotel_longitude
            }
    except Exception as ex:
        print(str(ex))

def checkSimilarity(cn_data,booking_data):
    try:
        is_similar = False
        st_api_url = "http://209.97.151.98/api/check_similarity"
        headers = {
            "Content-Type":"application/json"
        }
        body = {
            'data':cn_data,
            'source':booking_data
        }
        body = json.dumps(body)
        # body = json.dumps(body)
        response = requests.post(st_api_url,headers=headers,data=body)
        print("Scanning Tool Status Code : "+str(response.status_code))
        if response.status_code == 200:
            response = response.json()
            similarity_data=response['data']
            print(similarity_data)
            avg_similarity = similarity_data['avg_similarity']
            name = similarity_data['name']
            distance = similarity_data['distance'].replace('km','').strip()
            distance = float(distance)
            if avg_similarity >=90 and distance <=2.5:
                is_similar = True

        return is_similar
    except Exception as ex:
        print(str(ex))

def getProxies():
    proxies={}
    conn=create_connection()
    cur = conn.cursor()
    cur.execute("SELECT * FROM proxys;")

    proxy_details = cur.fetchall()
    conn.close()
    proxy_set=[]
    proxy_count = 0
    proxy_url=""
    for proxy in proxy_details:
        proxy_count = proxy_count+1
        proxy_ip = proxy[1]
        port = proxy[2]
        user = proxy[3]
        password = proxy[4]
        proxy_url = "http://"+user+':'+password+"@"+proxy_ip+":"+port
        proxy_set.insert(proxy_count,proxy_url)
    proxy_string = ','.join(proxy_set)

    proxies = {'http':proxy_string}
    return proxies

def getSuggestedNeighborhoodProperties(searchkeyword,city_name,state_name,country_name,retry_count=0):

    req_data={}
    dir_path=dirname(realpath(__file__))
    bkng_path = join(dirname(realpath(__file__)), 'csrf_bkng.json')
    cookie_path = join(dirname(realpath(__file__)),'booking_cookie.txt')

    if os.path.isfile(bkng_path) == False:
        request_data = save_reqest_data()
    
    request_data = load_csrf_bkng_data(bkng_path)
    bkng = request_data['bkng']
    csrf_token = request_data['csrf_token']
    search_term = searchkeyword + city_name
    proxies= getProxies()
    cookies = {
        # '_pxhd': 'f3a92b7c22ed5237f8db3c53419c3eafd75cb2b993157557921960c8eb572995%3A98b3cd00-0986-11eb-aadf-a115ee0c2b02',
        # 'cors_js': '1',
        # '_gcl_au': '1.1.65030811.1602175930',
        # '_pxvid': '98b3cd00-0986-11eb-aadf-a115ee0c2b02',
        # 'zz_cook_tms_seg1': '2',
        # 'zz_cook_tms_ed': '1',
        # 'zz_cook_tms_seg3': '7',
        # '_scid': '1b56c535-fcb8-48fa-8949-924e9deab778',
        # '_sctr': '1|1602097200000',
        # '_pin_unauth': 'dWlkPVptVmhZV016T1RVdFlUQTVOaTAwTVdKa0xXSXhPRE10TlRBNE9UYzRNekF3T0dZMQ',
        # 'g_state': '{"i_p":1603187780062,"i_l":3}',
        # 'BJS': '-',
        'bkng_prue': '1',
        # 'has_preloaded': '1',
        # 'zz_cook_tms_hlist': '593596',
        # 'qr_is_sr': 'fast-click',
        # '11_srd': '%7B%22features%22%3A%5B%7B%22id%22%3A5%7D%5D%2C%22score%22%3A3%2C%22detected%22%3Afalse%7D',
        # 'utag_main': 'v_id:01750920a3d8000345541eaa820b0306901010610086e$_sn:18$_ss:1$_st:1602938355251$4split:3$4split2:2$ses_id:1602936555251%3Bexp-session$_pn:1%3Bexp-session',
        # '_uetsid': '4c4bb6200eda11eb801b8bb19deb30e7',
        # '_uetvid': '9f785bb0098611eb860d53e8e8afcc5e',
        # '_px3': '71532d794920b38fb669f6af609b88195be38833a704c64b2dcdabc66dd69d01:EEMZ14pb8OaETsZyNpyHVn9Xmv2m62VAx4D1tfCjg6qwbhnM4N2js0nxhAYWtCETje2VWvtZodngyqZztmY5rQ==:1000:9ed/mTpXuNbgO1r5egX3l/XIkhAXWO6pr1rKVdH36a+4hm3i1jb3u375bbDqbfD8sNZtJfbunjZ4z7vuS70sMHSV9u0J0nPvBrlPFkTjep7b3NdHAEimmLarYYDsXxa5JhIkMVCWmU3zhG2nk7cDz+WZWlC02T0MAZu527lTldI=',
        # '_pxde': '77a9d4e825438ee6aa484d5b09c544819c6fb44972dba0362d2bc87c2791ff8a:eyJ0aW1lc3RhbXAiOjE2MDI5MzcwMzczNTQsImZfa2IiOjAsImlwY19pZCI6W119',
        # 'lastSeen': '0',
        'bkng': bkng,
        }

    headers = {
    'Connection': 'keep-alive',
    'DNT': '1',
    'X-Booking-Language-Code': 'en-gb',
    # 'X-Booking-CSRF': '5riLXwAAAAA=9YlllGprGJFgDqbfXWf7PVLDXFie2JZOapmg7wU7o34LwUq_k3JJmZHJalkKuoyJo11hRabP6IlWrvwVNIoQ-K-kOYtqNYEWZkIvuexG8vhuHrkUOneutqX5n-8sM_-B0D34n3Kc1JKhJyVmvvzQ1d2_-jQJg0krFV4o76ztJkTeHVUg4uE-veWxV5Bxr1bptXxlhTINYS6kLLJC',
    'X-Booking-CSRF': csrf_token,

    # 'X-Booking-AID': '304142',
    'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36',
    'X-Booking-Label': 'gen173nr-1DCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIDuALmvav8BcACAdICJGY4NzhmMDhmLWM0YTQtNDJjYS05ZDM0LTMzZTdlZmFjMTA2ZNgCBOACAQ',
    # 'X-Partner-Channel-Id': '3',
    # 'X-Booking-Pageview-Id': 'f9f89dc9987b015a',
    'Accept': '*/*',
    # 'X-Booking-Info': '1202570,1185210,1212510,1161170,1208690,1201970,1214600,1208460,1201970|2,1214730,1133410',
    # 'X-Booking-SiteType-Id': '1',
    'X-Requested-With': 'XMLHttpRequest',
    # 'X-Booking-Session-Id': '0397a6720fb14d76e51aaedd8ea8c4ab',
    'Sec-Fetch-Site': 'same-origin',
    'Sec-Fetch-Mode': 'cors',
    'Sec-Fetch-Dest': 'empty',
    'Referer': 'https://www.booking.com/index.en-gb.html?label=gen173nr-1DCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIDuALvtqz8BcACAdICJDYxMmJjYWI0LTVjMDItNDI5Mi1hYjBjLTE0MjQwZTYzOGJkN9gCBOACAQ;sid=0397a6720fb14d76e51aaedd8ea8c4ab;keep_landing=1&amp;sb_price_type=total&amp',
    'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
    }


    params = (
    ('v', '1'),
    ('lang', 'en-gb'),
    ('sid', '0397a6720fb14d76e51aaedd8ea8c4ab'),
    ('aid', '304142'),
    ('pid', 'f7135573973e005e'),
    ('stype', '1'),
    ('src', 'index'),
    ('eb', '0'),
    ('e_obj_labels', '1'),
    ('e_tclm', '1'),
    ('e_smmd', '2'),
    ('e_ms', '1'),
    ('e_msm', '1'),
    ('e_themes_msm_1', '1'),
    ('add_themes', '1'),
    ('themes_match_start', '1'),
    ('include_synonyms', '1'),
    ('sort_nr_destinations', '1'),
    ('gpf', '1'),
    ('term', search_term),
    ('_', '1602936552382'),
    )
    response = requests.get('https://www.booking.com/autocomplete_csrf',proxies=proxies, headers=headers, params=params,cookies=cookies)
    
    print("Status Code : "+ str(response.status_code))
    if response.status_code == 200:
        response = response.json()
        # search_results = json.loads(response.text.encode('utf8'))['city']
        search_results = response['city']
        
        # data[city]={}
        for result in search_results:
            labels_length = len(result['labels'])
            label = result['label']
            dest_type = str(result['dest_type'])
            
            booking_city_lat=float(result['latitude'])
            booking_city_lon=float(result['longitude'])

            booking_city = ''
            booking_state = ''
            booking_country = ''
            booking_dest_id = ''
            booking_city_id =''
            booking_city_name = ''
            booking_neighborhood_name = ''
            label = result['label']
            for item in result['labels']:                
                if 'city' in item['type'] and item['text'] == city_name:
                    booking_city_name = item['text']
                    booking_city_id = item['dest_id']
                
                if 'city' not in item['type'] and item['text'] == city_name and 'region' in item['type']:
                    booking_city_name = item['text']
                    booking_city_id = item['dest_id']

                if 'region' in item['type']:
                    booking_state = item['text']
                    # booking_city_id = item['dest_id']
                
                if 'country' in item['type'] and item['text'] == country_name:
                    booking_country = item['text']
                    # booking_city_id = item['dest_id']
                
                if 'district' in item['type']:
                    booking_neighborhood_name = item['text']
                    booking_city_id = item['dest_id']
            
            if booking_neighborhood_name and booking_city_name and booking_state and booking_country:
                print("label : "+label)
                print("Booking City Name : "+ booking_city_name)
                print("Booking State Name:"+booking_state)
                print("Booking Country Name:"+booking_country)
                print("Booking Latitude : "+str(booking_city_lat))
                print("Booking Longitude : "+str(booking_city_lon))
                return{
                    'label':label,
                    'booking_dest_id':booking_dest_id,
                    'booking_neighborhood_name':booking_neighborhood_name,
                    'booking_city_name':booking_city_name,
                    'booking_state_name':booking_state,
                    'booking_country_name':booking_country,
                    'booking_city_id':booking_city_id,
                    'booking_city_lat':booking_city_lat,
                    'booking_city_lon':booking_city_lon,
                    'booking_location_type':'location'
                }
            else:
                # print(result)
                # exit()
                row = {}
                row['city'] = city_name
                row['state'] = state_name
                row['country'] = country_name
                row['name'] = searchkeyword
                row['label'] = result['label']
                row['lat'] = float(result['latitude'])
                row['lon'] = float(result['longitude'])
                row['booking_response'] = result
                addNameMismatchNeighbourInDataFile(row)
                return False

    elif response.status_code == 403:
        if(retry_count < 3):
            retry_count +=1
            if os.path.isfile(cookie_path) == True:
                os.remove(cookie_path)

            if os.path.isfile(bkng_path) == True:
                os.remove(bkng_path)
            return getSuggestedNeighborhoodProperties(searchkeyword,city_name,state_name,country_name,retry_count)

def getSuggestedProperties(city_name,state_name,country_name,retry_count=0):

    req_data={}
    dir_path=dirname(realpath(__file__))
    bkng_path = join(dirname(realpath(__file__)), 'csrf_bkng.json')
    cookie_path = join(dirname(realpath(__file__)),'booking_cookie.txt')

    if os.path.isfile(bkng_path) == False:
        request_data = save_reqest_data()
    
    request_data = load_csrf_bkng_data(bkng_path)
    bkng = request_data['bkng']
    csrf_token = request_data['csrf_token']
    search_term = city_name
    proxies= getProxies()
    cookies = {
        # '_pxhd': 'f3a92b7c22ed5237f8db3c53419c3eafd75cb2b993157557921960c8eb572995%3A98b3cd00-0986-11eb-aadf-a115ee0c2b02',
        # 'cors_js': '1',
        # '_gcl_au': '1.1.65030811.1602175930',
        # '_pxvid': '98b3cd00-0986-11eb-aadf-a115ee0c2b02',
        # 'zz_cook_tms_seg1': '2',
        # 'zz_cook_tms_ed': '1',
        # 'zz_cook_tms_seg3': '7',
        # '_scid': '1b56c535-fcb8-48fa-8949-924e9deab778',
        # '_sctr': '1|1602097200000',
        # '_pin_unauth': 'dWlkPVptVmhZV016T1RVdFlUQTVOaTAwTVdKa0xXSXhPRE10TlRBNE9UYzRNekF3T0dZMQ',
        # 'g_state': '{"i_p":1603187780062,"i_l":3}',
        # 'BJS': '-',
        'bkng_prue': '1',
        # 'has_preloaded': '1',
        # 'zz_cook_tms_hlist': '593596',
        # 'qr_is_sr': 'fast-click',
        # '11_srd': '%7B%22features%22%3A%5B%7B%22id%22%3A5%7D%5D%2C%22score%22%3A3%2C%22detected%22%3Afalse%7D',
        # 'utag_main': 'v_id:01750920a3d8000345541eaa820b0306901010610086e$_sn:18$_ss:1$_st:1602938355251$4split:3$4split2:2$ses_id:1602936555251%3Bexp-session$_pn:1%3Bexp-session',
        # '_uetsid': '4c4bb6200eda11eb801b8bb19deb30e7',
        # '_uetvid': '9f785bb0098611eb860d53e8e8afcc5e',
        # '_px3': '71532d794920b38fb669f6af609b88195be38833a704c64b2dcdabc66dd69d01:EEMZ14pb8OaETsZyNpyHVn9Xmv2m62VAx4D1tfCjg6qwbhnM4N2js0nxhAYWtCETje2VWvtZodngyqZztmY5rQ==:1000:9ed/mTpXuNbgO1r5egX3l/XIkhAXWO6pr1rKVdH36a+4hm3i1jb3u375bbDqbfD8sNZtJfbunjZ4z7vuS70sMHSV9u0J0nPvBrlPFkTjep7b3NdHAEimmLarYYDsXxa5JhIkMVCWmU3zhG2nk7cDz+WZWlC02T0MAZu527lTldI=',
        # '_pxde': '77a9d4e825438ee6aa484d5b09c544819c6fb44972dba0362d2bc87c2791ff8a:eyJ0aW1lc3RhbXAiOjE2MDI5MzcwMzczNTQsImZfa2IiOjAsImlwY19pZCI6W119',
        # 'lastSeen': '0',
        'bkng': bkng,
        }

    headers = {
    'Connection': 'keep-alive',
    'DNT': '1',
    'X-Booking-Language-Code': 'en-gb',
    # 'X-Booking-CSRF': '5riLXwAAAAA=9YlllGprGJFgDqbfXWf7PVLDXFie2JZOapmg7wU7o34LwUq_k3JJmZHJalkKuoyJo11hRabP6IlWrvwVNIoQ-K-kOYtqNYEWZkIvuexG8vhuHrkUOneutqX5n-8sM_-B0D34n3Kc1JKhJyVmvvzQ1d2_-jQJg0krFV4o76ztJkTeHVUg4uE-veWxV5Bxr1bptXxlhTINYS6kLLJC',
    'X-Booking-CSRF': csrf_token,

    # 'X-Booking-AID': '304142',
    'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36',
    'X-Booking-Label': 'gen173nr-1DCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIDuALmvav8BcACAdICJGY4NzhmMDhmLWM0YTQtNDJjYS05ZDM0LTMzZTdlZmFjMTA2ZNgCBOACAQ',
    # 'X-Partner-Channel-Id': '3',
    # 'X-Booking-Pageview-Id': 'f9f89dc9987b015a',
    'Accept': '*/*',
    # 'X-Booking-Info': '1202570,1185210,1212510,1161170,1208690,1201970,1214600,1208460,1201970|2,1214730,1133410',
    # 'X-Booking-SiteType-Id': '1',
    'X-Requested-With': 'XMLHttpRequest',
    # 'X-Booking-Session-Id': '0397a6720fb14d76e51aaedd8ea8c4ab',
    'Sec-Fetch-Site': 'same-origin',
    'Sec-Fetch-Mode': 'cors',
    'Sec-Fetch-Dest': 'empty',
    'Referer': 'https://www.booking.com/index.en-gb.html?label=gen173nr-1DCAEoggI46AdIM1gEaLUBiAEBmAEJuAEZyAEM2AED6AEBiAIBqAIDuALvtqz8BcACAdICJDYxMmJjYWI0LTVjMDItNDI5Mi1hYjBjLTE0MjQwZTYzOGJkN9gCBOACAQ;sid=0397a6720fb14d76e51aaedd8ea8c4ab;keep_landing=1&amp;sb_price_type=total&amp',
    'Accept-Language': 'en-GB,en-US;q=0.9,en;q=0.8',
    }


    params = (
    ('v', '1'),
    ('lang', 'en-gb'),
    ('sid', '0397a6720fb14d76e51aaedd8ea8c4ab'),
    ('aid', '304142'),
    ('pid', 'f7135573973e005e'),
    ('stype', '1'),
    ('src', 'index'),
    ('eb', '0'),
    ('e_obj_labels', '1'),
    ('e_tclm', '1'),
    ('e_smmd', '2'),
    ('e_ms', '1'),
    ('e_msm', '1'),
    ('e_themes_msm_1', '1'),
    ('add_themes', '1'),
    ('themes_match_start', '1'),
    ('include_synonyms', '1'),
    ('sort_nr_destinations', '1'),
    ('gpf', '1'),
    ('term', search_term),
    ('_', '1602936552382'),
    )
    response = requests.get('https://www.booking.com/autocomplete_csrf',proxies=proxies, headers=headers, params=params,cookies=cookies)
    
    print("Status Code : "+ str(response.status_code))
    if response.status_code == 200:
        response = response.json()
        # search_results = json.loads(response.text.encode('utf8'))['city']
        search_results = response['city']
        
        # data[city]={}
        for result in search_results:
            labels_length = len(result['labels'])
            label = result['label']
            dest_type = str(result['dest_type'])
            
            booking_city_lat=float(result['latitude'])
            booking_city_lon=float(result['longitude'])

            booking_city = ''
            booking_state = ''
            booking_country = ''
            booking_dest_id = ''
            booking_city_id =''
            booking_city_name = ''
            label = result['label']
            for item in result['labels']:                
                if 'city' in item['type'] and item['text'] == city_name:
                    booking_city_name = item['text']
                    booking_city_id = item['dest_id']
                
                if 'city' not in item['type'] and item['text'] == city_name and 'region' in item['type']:
                    booking_city_name = item['text']
                    booking_city_id = item['dest_id']

                if 'region' in item['type']:
                    booking_state = item['text']
                    # booking_city_id = item['dest_id']
                
                if 'country' in item['type'] and item['text'] == country_name:
                    booking_country = item['text']
                    # booking_city_id = item['dest_id']
                
                # if 'district' in item['type']:
                #     booking_city_name = item['text']
                #     booking_city_id = item['dest_id']
            
            if booking_city_name and booking_state and booking_country:
                print("label : "+label)
                print("Booking City Name : "+ booking_city_name)
                print("Booking State Name:"+booking_state)
                print("Booking Country Name:"+booking_country)
                print("Booking Latitude : "+str(booking_city_lat))
                print("Booking Longitude : "+str(booking_city_lon))
                return{
                    'label':label,
                    'booking_dest_id':booking_dest_id,
                    'booking_city_name':booking_city_name,
                    'booking_state_name':booking_state,
                    'booking_country_name':booking_country,
                    'booking_city_id':booking_city_id,
                    'booking_city_lat':booking_city_lat,
                    'booking_city_lon':booking_city_lon,
                    'booking_location_type':'location'
                }
            else:
                return False

    elif response.status_code == 403:
        if(retry_count < 3):
            retry_count +=1
            if os.path.isfile(cookie_path) == True:
                os.remove(cookie_path)

            if os.path.isfile(bkng_path) == True:
                os.remove(bkng_path)
            return getSuggestedProperties(city_name,state_name,country_name,retry_count)

def getNeighborhoodFromBooking(city,state,country):
    retry_count = 0
    try:
        input_city = city
        if input_city == 'Dubai International Financial Centre':
            input_city = 'Dubai'

        if input_city == 'Jakarta Special Capital Region':
            input_city = 'Jakarta'

        print("City Name : "+input_city)
        print("State Name : "+str(state))
        print("Country Name : "+country)        

        suggested_city = getSuggestedProperties(input_city,state,country,retry_count)
        if suggested_city:
            # print(suggested_city)
            # exit()
            # Get Searh Results Agains Given Hotel,city and country
            ss =suggested_city['label'].replace(' ','+').replace(',',"%20C")
            ss.encode(encoding='UTF-8',errors='strict')

            ss_raw = suggested_city['booking_city_name']
            ss_raw.encode(encoding='UTF-8',errors='strict')
            dest_id = suggested_city['booking_dest_id']

            booking_city_lat = suggested_city['booking_city_lat']
            booking_city_lon = suggested_city['booking_city_lon']

            search_results_html = getSearchResults(False,ss,ss_raw,dest_id,booking_city_lat,booking_city_lon)
            if search_results_html is not None:
                listing_search_retry_count = 0
                booking_response = identifyNeighborsFromSearchResults(input_city,state,country,search_results_html)
        return False
    except Exception as ex:
        track = traceback.format_exc()
        print(str(track))
        retry_count = retry_count+1
        if retry_count < 3:
            return getNeighborhoodFromBooking(city,state,country)
        else:
            return False

# def dbConnect():
#     try:
#         connection = mysql.connector.connect(
#             host=configuration.db_host,
#             user=configuration.db_user,
#             password=configuration.db_password,
#             database=configuration.db_database
#         )
#         return connection
#     except Error as e:
#         print(e)

# def getCityHotelsFromDB(city,state,country):
#     connection  = dbConnect()
#     # query ="select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci') and city in ('Las Vegas', 'London', 'Dubai', 'Amsterdam', 'Paris', 'Singapore', 'Barcelona', 'Bangkok', 'Prague', 'Hong Kong', 'Lisbon', 'Hollywood', 'Chicago', 'New Orleans', 'San Francisco', 'Orlando', 'Miami', 'Edinburgh', 'Dublin', 'Los Angeles', 'Boston', 'Washington DC', 'Rome', 'Jaipur', 'Tokyo', 'Seattle', 'Berlin', 'Delhi', 'Mumbai', 'Atlanta', 'Toronto', 'Philadelphia', 'Istanbul', 'Hamburg', 'Honolulu', 'Cape Town', 'Chennai', 'Dallas', 'Abu Dhabi', 'Vancouver', 'Venice', 'Budapest', 'Sydney', 'Vienna', 'Manila', 'Madrid', 'Houston', 'Colombo', 'Agra', 'Kuala Lumpur', 'New York', 'Brussels', 'Copenhagen', 'Pattaya', 'Munich', 'Athens', 'Melbourne', 'Santorini', 'Cairo', 'Iceland', 'Seoul', 'Milan', 'Florence', 'Stockholm', 'Johannesburg', 'Beirut', 'Cebu City', 'Kyoto', 'Auckland', 'Dubrovnik', 'Chiang Mai', 'Amman', 'Nice', 'Shanghai', 'Taipei', 'Mexico City', 'Boracay', 'Hanoi', 'Geneva', 'Osaka', 'Jerusalem', 'Moscow', 'Porto', 'Antalya', 'Hurghada', 'Rio de Janeiro', 'Costa Rica', 'Krabi', 'Split ', 'Ho Chi Minh City', 'Warsaw', 'Jakarta', 'Buenos Aires', 'Phnom Penh', 'Macau', 'Casablanca', 'Sofia', 'Johor Bahru', 'Zagreb', 'Shenzhen', 'Da Nang') order by city ASC limit "+str(limit)+" offset "+str(offset)
#     query= "select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci' or source='rakuteen') and city LIKE \"%"+str(city)+"%\" and state=\""+str(state)+"\" and country = \""+str(country)+"\""
#     cursor = connection.cursor(buffered=True) 
#     cursor.execute(query)
#     results = cursor.fetchall()
#     connection.close()
#     return results

def isNaN(string):
    return string != string


# def getHotelById(product_id):
#     connection = dbConnect()
#     # query ="select * from cn_grs.fc_product_hotel_reviews where (source = 'ratehawk' or source = 'ctrips' or source = 'lci') and city in ('Las Vegas', 'London', 'Dubai', 'Amsterdam', 'Paris', 'Singapore', 'Barcelona', 'Bangkok', 'Prague', 'Hong Kong', 'Lisbon', 'Hollywood', 'Chicago', 'New Orleans', 'San Francisco', 'Orlando', 'Miami', 'Edinburgh', 'Dublin', 'Los Angeles', 'Boston', 'Washington DC', 'Rome', 'Jaipur', 'Tokyo', 'Seattle', 'Berlin', 'Delhi', 'Mumbai', 'Atlanta', 'Toronto', 'Philadelphia', 'Istanbul', 'Hamburg', 'Honolulu', 'Cape Town', 'Chennai', 'Dallas', 'Abu Dhabi', 'Vancouver', 'Venice', 'Budapest', 'Sydney', 'Vienna', 'Manila', 'Madrid', 'Houston', 'Colombo', 'Agra', 'Kuala Lumpur', 'New York', 'Brussels', 'Copenhagen', 'Pattaya', 'Munich', 'Athens', 'Melbourne', 'Santorini', 'Cairo', 'Iceland', 'Seoul', 'Milan', 'Florence', 'Stockholm', 'Johannesburg', 'Beirut', 'Cebu City', 'Kyoto', 'Auckland', 'Dubrovnik', 'Chiang Mai', 'Amman', 'Nice', 'Shanghai', 'Taipei', 'Mexico City', 'Boracay', 'Hanoi', 'Geneva', 'Osaka', 'Jerusalem', 'Moscow', 'Porto', 'Antalya', 'Hurghada', 'Rio de Janeiro', 'Costa Rica', 'Krabi', 'Split ', 'Ho Chi Minh City', 'Warsaw', 'Jakarta', 'Buenos Aires', 'Phnom Penh', 'Macau', 'Casablanca', 'Sofia', 'Johor Bahru', 'Zagreb', 'Shenzhen', 'Da Nang') order by city ASC limit "+str(limit)+" offset "+str(offset)
#     query = "select * from cn_grs.fc_product_hotel_reviews where product_id = " + str(product_id)
#     cursor = connection.cursor(buffered=True)
#     cursor.execute(query)
#     results = cursor.fetchone()
#     connection.close()
#     return results

def addneighbourindatafile(data):
    with open(r'booking_neigbours.csv', 'a', newline='') as csvfile:
        fields = ['city','state','country','name','count']
        writer = csv.DictWriter(csvfile, fieldnames=fields)
        writer.writerow(data)
        print("Neighbourhood Addedd In CSV FILE")
        print("----------------------------------")

def addCompleteNeighbourInDataFile(data):
    with open(r'booking_neigbourhoods_with_details.csv', 'a', newline='') as csvfile:
        fields = ['city','state','country','name','count','label','lat','lon','type']
        writer = csv.DictWriter(csvfile, fieldnames=fields)
        writer.writerow(data)
        print("Neighbourhood Details Addedd In CSV FILE")
        print("----------------------------------")

def addNameMismatchNeighbourInDataFile(data):
    with open(r'booking_mismatch_neigbourhoods_with_details.csv', 'a', newline='') as csvfile:
        fields = ['city','state','country','name','label','lat','lon','booking_response']
        writer = csv.DictWriter(csvfile, fieldnames=fields)
        writer.writerow(data)
        print("MisMatch Neighbourhood Details Addedd In CSV FILE")
        print("----------------------------------")

def getNeighbourhoodsForTOP2kcities():
    city_inventory = pd.read_csv(r'../remaining_neighbors_from_booking.csv')
    # city_inventory.sort_values(by='LISTINGS_COUNT', ascending=False)
    for index, rowIndex in city_inventory.iterrows():
        number = index
        req = {}
        row = {}
        row['country'] = rowIndex['Country']
        not_Ranked = []
        try:
            print(isNaN(rowIndex['City']))
            if isNaN(rowIndex['City']):
                if isNaN(rowIndex['State']):
                    city = str(rowIndex['Country'])
                    row['city'] = city
                    row['state'] = city
                else:
                    city = str(rowIndex['State'])
                    row['city'] = city
                    row['state'] = rowIndex['State']
            else:
                city = rowIndex['City']
                row['city'] = rowIndex['City']
                row['state'] = rowIndex['State']
                print("NeighbourHood Crawling Part Starts")
                print(row)
                # exit()
                getNeighborhoodFromBooking(row['city'],row['state'],row['country'])
        except Exception as e:
            print(e)

def getCrawledNeighborhoodCoordinates():
    neighbours = pd.read_csv(r'../booking_neigbours_remainings.csv')
    # city_inventory.sort_values(by='LISTINGS_COUNT', ascending=False)
    for index, rowIndex in neighbours.iterrows():
        number = index
        req = {}
        row = {}
        row['city'] = rowIndex[0]
        row['state'] = rowIndex[1]
        row['country'] = rowIndex[2]
        row['name'] = rowIndex[3]
        row['count'] = rowIndex[4]
        # not_Ranked = []
        try:
            autosuggest_response = getSuggestedNeighborhoodProperties(row['name'],row['city'],row['state'],row['country'])
            if autosuggest_response:
                row['label'] = autosuggest_response['label']
                row['name'] = autosuggest_response['booking_neighborhood_name']
                row['type'] = autosuggest_response['booking_location_type']
                row['lat'] = autosuggest_response['booking_city_lat']
                row['lon'] = autosuggest_response['booking_city_lon']
                addCompleteNeighbourInDataFile(row)
        except Exception as e:
            print(e)
getCrawledNeighborhoodCoordinates()

