import pandas as pd
import csv

def isNaN(string):
    return string != string

main_grs_cities = pd.read_csv('./cities_with_inventory.csv')

hotels_cities = pd.read_csv('./active_data_unique_cities.csv')
hotels_cities = hotels_cities['City']

hotels_cities = hotels_cities.tolist()



for index,main_grs_city in main_grs_cities.iterrows():

    if not isNaN(main_grs_city['CITY']):
        city_name = main_grs_city['CITY']
        state = main_grs_city['STATE']
        country = main_grs_city['COUNTRY']
        inventory_count = main_grs_city['LISTINGS_COUNT']
        if city_name not in hotels_cities:
            print(city_name)
            print(state)
            print(country)
            with open(r'./missing_active_cities.csv','a') as csvfile:
                fielnames = [
                    'city',
                    'state',
                    'country',
                    'inventory_count'
                ]
                csv_writer = csv.DictWriter(csvfile,fieldnames=fielnames)
                csv_writer.writerow({
                    'city':city_name,
                    'state':state,
                    'country':country,
                    'inventory_count':inventory_count
                })

